package com.qmth.themis.business.dto.response;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.entity.TEExamStudentLog;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 学生视频监考回放记录 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/3
 */
public class TEStudentExamRecordVideoDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试批次id")
    private Long examId;//考试批次id

    @ApiModelProperty(name = "考试名称")
    private String examName;//考试名称

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考生id")
    private Long examStudentId;//考生id

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试记录id")
    private Long examRecordId;//考试记录id

    @ApiModelProperty(name = "科目编码")
    private String courseCode;//科目编码

    @ApiModelProperty(name = "科目名称")
    private String courseName;//科目名称

    @ApiModelProperty(name = "证件号")
    private String identity;//证件号

    @ApiModelProperty(name = "姓名")
    private String name;//姓名

    @ApiModelProperty(name = "首次开考时间")
    private Long firstStartTime;

    @ApiModelProperty(name = "考生轨迹")
    List<TEExamStudentLog> teExamStudentLogList;

    @ApiModelProperty(name = "视频集合")
    IPage<TEStudentExamRecordVideoMessageDto> teStudentExamRecordVideoMessageIPage;

    public TEStudentExamRecordVideoDto() {

    }

    public TEStudentExamRecordVideoDto(Long examId, String examName, Long examStudentId, Long examRecordId,
                                       String courseCode, String courseName, String identity, String name,
                                       Long firstStartTime, List<TEExamStudentLog> teExamStudentLogList,
                                       IPage<TEStudentExamRecordVideoMessageDto> teStudentExamRecordVideoMessageIPage) {
        this.examId = examId;
        this.examName = examName;
        this.examStudentId = examStudentId;
        this.examRecordId = examRecordId;
        this.courseCode = courseCode;
        this.courseName = courseName;
        this.identity = identity;
        this.name = name;
        this.firstStartTime = firstStartTime;
        this.teExamStudentLogList = teExamStudentLogList;
        this.teStudentExamRecordVideoMessageIPage = teStudentExamRecordVideoMessageIPage;
    }

    public List<TEExamStudentLog> getTeExamStudentLogList() {
        return teExamStudentLogList;
    }

    public void setTeExamStudentLogList(List<TEExamStudentLog> teExamStudentLogList) {
        this.teExamStudentLogList = teExamStudentLogList;
    }

    public IPage<TEStudentExamRecordVideoMessageDto> getTeStudentExamRecordVideoMessageIPage() {
        return teStudentExamRecordVideoMessageIPage;
    }

    public void setTeStudentExamRecordVideoMessageIPage(IPage<TEStudentExamRecordVideoMessageDto> teStudentExamRecordVideoMessageIPage) {
        this.teStudentExamRecordVideoMessageIPage = teStudentExamRecordVideoMessageIPage;
    }

    public Long getFirstStartTime() {
        return firstStartTime;
    }

    public void setFirstStartTime(Long firstStartTime) {
        this.firstStartTime = firstStartTime;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Long getExamRecordId() {
        return examRecordId;
    }

    public void setExamRecordId(Long examRecordId) {
        this.examRecordId = examRecordId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
